%global pypi_name rebulk

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 1
Summary:        Define simple search patterns in bulk to perform advanced matching on any string
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/rebulk/
Source0:        https://files.pythonhosted.org/packages/60/5c/e74c216b4e8e30d40226b6a9add2a596abe3af3ce63c4ffcdba6f33497f8/rebulk-%{version}.tar.gz
BuildArch:      noarch

%description
ReBulk is a python library that performs advanced searches in strings that
would be hard to implement using re module or String methods only.

%package -n     python3-%{pypi_name}
Summary:        Define simple search patterns in bulk to perform advanced matching on any string
Group:          Development/Python
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest-runner)

%description -n python3-%{pypi_name}
ReBulk is a python library that performs advanced searches in strings that
would be hard to implement using re module or String methods only.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE README.rst
%{python3_sitelib}/rebulk
%{python3_sitelib}/rebulk-%{version}-py?.?.egg-info


%changelog
* Fri May 08 2020 guillomovitch <guillomovitch> 2.0.1-1.mga8
+ Revision: 1581759
- imported package python-rebulk

